﻿.event__search__floater {
    position: fixed;
    top: 105px;
    /* left: 0; */
    right: -20px;
    transition: all ease-in-out 0.2s;
    transform: translate(-50%, -50%);
}

.search__anchor {
    position: relative;
    width: auto;
    height: auto;
    /*   TODO: Center anchor */
}

.search__submit {
    opacity: 0;
    width: 0px;
}

.search__bar {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    outline: none;
    border: none;
    background: #fff;
    width: 50px;
    height: 50px;
    border-radius: 25px;
    opacity: 0;
    z-index: 5;
    transition: all 0.2;
    font-size: 1em;
}

    .search__bar:hover {
        cursor: pointer;
    }

    .search__bar:focus {
        width: 200px;
        left: auto;
        opacity: 1;
        cursor: text;
        transition: all 0.2;
        padding-left: 25px;
        padding-right: 70px;
    }

.search__toggler {
    position: absolute;
    width: 60px;
    height: 60px;
    background: #0062ff;
    opacity: 1;
    top: -4px;
    left: -4px;
    border-radius: 50%;
    transition: all 0.2s;
}

    .search__toggler:hover {
        cursor: pointer;
    }

    .search__toggler::before {
        content: "";
        position: absolute;
        margin: auto;
        top: 22px;
        right: 0;
        bottom: 0;
        left: 22px;
        width: 12px;
        height: 2px;
        background: #fff;
        transform: rotate(45deg);
        transition: all 0.2s;
    }

    .search__toggler::after {
        content: "";
        position: absolute;
        margin: auto;
        top: -5px;
        right: 0;
        bottom: 0;
        left: -5px;
        width: 25px;
        height: 25px;
        border-radius: 50%;
        border: 2px solid #fff;
        transition: all 0.2s;
    }

.search__bar:focus ~ .search__toggler {
    right: 400px;
    background: #151515;
    z-index: 6;
    transition: all 0.2;
}

    .search__bar:focus ~ .search__toggler::before {
        top: 0;
        left: 0;
        width: 25px;
    }

    .search__bar:focus ~ .search__toggler::after {
        top: 0;
        left: 0;
        width: 25px;
        height: 2px;
        border: none;
        background: white;
        border-radius: 0%;
        transform: rotate(-45deg);
    }
